Summary: interface to seccomp filtering mechanism
Name: libseccomp
Version: 2.5.5
Release: r0
License: LGPL-2.1-only
Group: security
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: https://github.com/seccomp/libseccomp
Source0: libseccomp-2.5.5-r0.tar.xz
Source1: run-ptest
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: gperf-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: pkgconfig-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libseccomp.so.2()(64bit)
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libseccomp.so.2()(64bit)
Requires(post): rtld(GNU_HASH)
Provides: libseccomp.so.2()(64bit)

%description
The libseccomp library provides an easy to use, platform independent,
interface to the Linux Kernel's syscall filtering mechanism: seccomp.

%package -n libseccomp-src
Summary: interface to seccomp filtering mechanism - Source files
License: LGPL-2.1-only
Group: devel

%description -n libseccomp-src
The libseccomp library provides an easy to use, platform independent,
interface to the Linux Kernel's syscall filtering mechanism: seccomp.  This
package contains sources for debugging purposes.

%package -n libseccomp-dbg
Summary: interface to seccomp filtering mechanism - Debugging files
License: LGPL-2.1-only
Group: devel
Recommends: glibc-dbg

%description -n libseccomp-dbg
The libseccomp library provides an easy to use, platform independent,
interface to the Linux Kernel's syscall filtering mechanism: seccomp.  This
package contains ELF symbols and related sources for debugging purposes.

%package -n libseccomp-ptest
Summary: interface to seccomp filtering mechanism - Package test files
License: LGPL-2.1-only
Group: devel
Requires: /bin/bash
Requires: /bin/sh
Requires: /usr/bin/env
Requires: bash
Requires: coreutils
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libseccomp >= 2.5.5
Requires: libseccomp.so.2()(64bit)
Requires: rtld(GNU_HASH)
Recommends: ptest-runner

%description -n libseccomp-ptest
The libseccomp library provides an easy to use, platform independent,
interface to the Linux Kernel's syscall filtering mechanism: seccomp.  This
package contains a test directory /usr/lib/libseccomp/ptest for package
test purposes.

%package -n libseccomp-staticdev
Summary: interface to seccomp filtering mechanism - Development files (Static Libraries)
License: LGPL-2.1-only
Group: devel
Requires: libseccomp-dev = 2.5.5-r0

%description -n libseccomp-staticdev
The libseccomp library provides an easy to use, platform independent,
interface to the Linux Kernel's syscall filtering mechanism: seccomp.  This
package contains static libraries for software development.

%package -n libseccomp-dev
Summary: interface to seccomp filtering mechanism - Development files
License: LGPL-2.1-only
Group: devel
Requires: libseccomp
Recommends: bash-dev
Recommends: coreutils-dev
Recommends: glibc-dev
Recommends: libseccomp = 2.5.5-r0

%description -n libseccomp-dev
The libseccomp library provides an easy to use, platform independent,
interface to the Linux Kernel's syscall filtering mechanism: seccomp.  This
package contains symbolic links, header files, and related items necessary
for software development.

%package -n libseccomp-doc
Summary: interface to seccomp filtering mechanism - Documentation files
License: LGPL-2.1-only
Group: doc

%description -n libseccomp-doc
The libseccomp library provides an easy to use, platform independent,
interface to the Linux Kernel's syscall filtering mechanism: seccomp.  This
package contains documentation.

%package -n libseccomp-locale
Summary: interface to seccomp filtering mechanism
License: LGPL-2.1-only
Group: security

%description -n libseccomp-locale
The libseccomp library provides an easy to use, platform independent,
interface to the Linux Kernel's syscall filtering mechanism: seccomp.

%post
# libseccomp - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/bin"
%attr(777,root,root) "/usr/lib/libseccomp.so.2"
%attr(755,root,root) "/usr/lib/libseccomp.so.2.5.5"
%attr(755,root,root) "/usr/bin/scmp_sys_resolver"

%files -n libseccomp-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/libseccomp"
%attr(755,root,root) %dir "/usr/src/debug/libseccomp/2.5.5"
%attr(755,root,root) %dir "/usr/src/debug/libseccomp/2.5.5/include"
%attr(755,root,root) %dir "/usr/src/debug/libseccomp/2.5.5/tests"
%attr(755,root,root) %dir "/usr/src/debug/libseccomp/2.5.5/tools"
%attr(755,root,root) %dir "/usr/src/debug/libseccomp/2.5.5/src"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/include/seccomp.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/49-sim-64b_comparisons.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/miniseq.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/02-sim-basic.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/46-sim-kill_process.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/11-basic-basic_errors.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/12-sim-basic_masked_ops.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/50-sim-hash_collision.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/32-live-tsync_allow.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/08-sim-subtree_checks.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/48-sim-32b_args.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/16-sim-arch_basic.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/26-sim-arch_all_be_basic.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/31-basic-version_check.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/52-basic-load.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/59-basic-empty_binary_tree.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/01-sim-allow.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/42-sim-adv_chains.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/09-sim-syscall_priority_pre.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/25-sim-multilevel_chains_adv.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/37-sim-ipc_syscalls_be.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/53-sim-binary_tree.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/35-sim-negative_one.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/43-sim-a2_order.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/51-live-user_notification.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/34-sim-basic_denylist.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/15-basic-resolver.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/util.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/54-live-binary_tree.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/39-basic-api_level.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/05-sim-long_jumps.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/19-sim-missing_syscalls.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/30-sim-socket_syscalls.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/36-sim-ipc_syscalls.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/03-sim-basic_chains.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/22-sim-basic_chains_array.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/40-sim-log.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/04-sim-multilevel_chains.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/18-sim-basic_allowlist.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/21-live-basic_allow.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/56-basic-iterate_syscalls.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/07-sim-db_bug_looping.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/24-live-arg_allow.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/23-sim-arch_all_le_basic.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/58-live-tsync_notify.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/14-sim-reset.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/45-sim-chain_code_coverage.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/27-sim-bpf_blk_state.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/41-sim-syscall_priority_arch.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/57-basic-rawsysrc.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/38-basic-pfc_coverage.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/util.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/55-basic-pfc_binary_tree.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/10-sim-syscall_priority_post.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/44-live-a2_order.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/17-sim-arch_merge.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/06-sim-actions.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/47-live-kill_process.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/33-sim-socket_syscalls_be.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/20-live-basic_die.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/28-sim-arch_x86.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/13-basic-attrs.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tests/29-sim-pseudo_syscall.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tools/scmp_arch_detect.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tools/scmp_bpf_sim.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tools/util.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tools/scmp_api_level.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tools/scmp_bpf_disasm.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tools/scmp_sys_resolver.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tools/util.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/tools/bpf.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/gen_bpf.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-mips64.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-aarch64.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-s390.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/gen_pfc.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-s390x.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-ppc64.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-x86_64.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-ppc.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/helper.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/syscalls.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/db.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-arm.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-mips64.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-x86.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-parisc64.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-x86_64.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/hash.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-parisc64.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-s390.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/syscalls.perf"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/system.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-ppc.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-riscv64.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/api.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-parisc.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/gen_pfc.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/gen_bpf.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-mips64n32.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/helper.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/syscalls.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-s390x.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-parisc.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/db.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-riscv64.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-x32.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-x86.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-aarch64.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-mips.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-x32.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-ppc64.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/system.h"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-mips64n32.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-arm.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/arch-mips.c"
%attr(644,root,root) "/usr/src/debug/libseccomp/2.5.5/src/hash.h"

%files -n libseccomp-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) %dir "/usr/lib/libseccomp"
%attr(755,root,root) "/usr/lib/.debug/libseccomp.so.2.5.5"
%attr(755,root,root) %dir "/usr/lib/libseccomp/ptest"
%attr(755,root,root) %dir "/usr/lib/libseccomp/ptest/tests"
%attr(755,root,root) %dir "/usr/lib/libseccomp/ptest/tools"
%attr(755,root,root) %dir "/usr/lib/libseccomp/ptest/tests/.debug"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/33-sim-socket_syscalls_be"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/56-basic-iterate_syscalls"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/57-basic-rawsysrc"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/46-sim-kill_process"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/23-sim-arch_all_le_basic"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/29-sim-pseudo_syscall"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/27-sim-bpf_blk_state"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/43-sim-a2_order"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/54-live-binary_tree"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/20-live-basic_die"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/41-sim-syscall_priority_arch"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/21-live-basic_allow"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/38-basic-pfc_coverage"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/01-sim-allow"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/17-sim-arch_merge"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/02-sim-basic"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/12-sim-basic_masked_ops"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/51-live-user_notification"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/06-sim-actions"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/32-live-tsync_allow"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/49-sim-64b_comparisons"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/55-basic-pfc_binary_tree"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/36-sim-ipc_syscalls"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/52-basic-load"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/47-live-kill_process"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/59-basic-empty_binary_tree"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/18-sim-basic_allowlist"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/09-sim-syscall_priority_pre"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/19-sim-missing_syscalls"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/34-sim-basic_denylist"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/53-sim-binary_tree"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/03-sim-basic_chains"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/24-live-arg_allow"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/31-basic-version_check"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/25-sim-multilevel_chains_adv"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/05-sim-long_jumps"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/04-sim-multilevel_chains"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/08-sim-subtree_checks"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/15-basic-resolver"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/37-sim-ipc_syscalls_be"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/35-sim-negative_one"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/07-sim-db_bug_looping"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/42-sim-adv_chains"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/50-sim-hash_collision"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/45-sim-chain_code_coverage"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/13-basic-attrs"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/14-sim-reset"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/58-live-tsync_notify"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/10-sim-syscall_priority_post"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/44-live-a2_order"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/30-sim-socket_syscalls"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/40-sim-log"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/39-basic-api_level"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/22-sim-basic_chains_array"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/16-sim-arch_basic"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/miniseq"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/48-sim-32b_args"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/26-sim-arch_all_be_basic"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/28-sim-arch_x86"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tests/.debug/11-basic-basic_errors"
%attr(755,root,root) %dir "/usr/lib/libseccomp/ptest/tools/.debug"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tools/.debug/scmp_arch_detect"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tools/.debug/scmp_sys_resolver"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tools/.debug/scmp_bpf_disasm"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tools/.debug/scmp_api_level"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/tools/.debug/scmp_bpf_sim"
%attr(755,root,root) %dir "/usr/bin/.debug"
%attr(755,root,root) "/usr/bin/.debug/scmp_sys_resolver"

%files -n libseccomp-ptest
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/libseccomp"
%attr(755,root,root) %dir "/usr/lib/libseccomp/ptest"
%attr(755,root,root) %dir "/usr/lib/libseccomp/ptest/tests"
%attr(755,root,root) %dir "/usr/lib/libseccomp/ptest/tools"
%attr(755,root,root) "/usr/lib/libseccomp/ptest/run-ptest"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/29-sim-pseudo_syscall.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/33-sim-socket_syscalls_be"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/28-sim-arch_x86.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/56-basic-iterate_syscalls"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/43-sim-a2_order.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/57-basic-rawsysrc"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/09-sim-syscall_priority_pre.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/18-sim-basic_allowlist.py"
%attr(644,root,root) "/usr/lib/libseccomp/ptest/tests/55-basic-pfc_binary_tree.pfc"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/37-sim-ipc_syscalls_be.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/46-sim-kill_process"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/23-sim-arch_all_le_basic"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/29-sim-pseudo_syscall"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/24-live-arg_allow.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/27-sim-bpf_blk_state"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/43-sim-a2_order"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/33-sim-socket_syscalls_be.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/52-basic-load.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/17-sim-arch_merge.py"
%attr(644,root,root) "/usr/lib/libseccomp/ptest/tests/valgrind_test.supp"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/50-sim-hash_collision.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/12-sim-basic_masked_ops.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/47-live-kill_process.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/19-sim-missing_syscalls.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/54-live-binary_tree"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/35-sim-negative_one.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/01-sim-allow.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/44-live-a2_order.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/20-live-basic_die"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/testdiff"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/55-basic-pfc_binary_tree.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/45-sim-chain_code_coverage.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/41-sim-syscall_priority_arch"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/55-basic-pfc_binary_tree.sh"
%attr(644,root,root) "/usr/lib/libseccomp/ptest/tests/38-basic-pfc_coverage.pfc"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/21-live-basic_allow"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/49-sim-64b_comparisons.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/38-basic-pfc_coverage"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/01-sim-allow"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/23-sim-arch_all_le_basic.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/17-sim-arch_merge"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/56-basic-iterate_syscalls.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/21-live-basic_allow.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/26-sim-arch_all_be_basic.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/02-sim-basic"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/14-sim-reset.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/59-basic-empty_binary_tree.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/08-sim-subtree_checks.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/12-sim-basic_masked_ops"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/51-live-user_notification"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/37-sim-ipc_syscalls_be.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/06-sim-actions"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/59-basic-empty_binary_tree.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/32-live-tsync_allow"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/49-sim-64b_comparisons"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/18-sim-basic_allowlist.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/30-sim-socket_syscalls.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/47-live-kill_process.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/55-basic-pfc_binary_tree"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/36-sim-ipc_syscalls"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/56-basic-iterate_syscalls.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/22-sim-basic_chains_array.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/52-basic-load"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/06-sim-actions.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/09-sim-syscall_priority_pre.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/07-sim-db_bug_looping.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/47-live-kill_process"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/42-sim-adv_chains.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/15-basic-resolver.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/48-sim-32b_args.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/16-sim-arch_basic.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/30-sim-socket_syscalls.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/02-sim-basic.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/34-sim-basic_denylist.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/07-sim-db_bug_looping.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/20-live-basic_die.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/59-basic-empty_binary_tree"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/14-sim-reset.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/52-basic-load.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/13-basic-attrs.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/18-sim-basic_allowlist"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/17-sim-arch_merge.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/20-live-basic_die.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/40-sim-log.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/09-sim-syscall_priority_pre"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/19-sim-missing_syscalls"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/49-sim-64b_comparisons.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/10-sim-syscall_priority_post.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/41-sim-syscall_priority_arch.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/testgen"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/58-live-tsync_notify.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/54-live-binary_tree.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/57-basic-rawsysrc.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/34-sim-basic_denylist"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/53-sim-binary_tree"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/03-sim-basic_chains"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/24-live-arg_allow"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/31-basic-version_check"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/25-sim-multilevel_chains_adv"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/05-sim-long_jumps"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/21-live-basic_allow.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/23-sim-arch_all_le_basic.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/04-sim-multilevel_chains"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/08-sim-subtree_checks"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/35-sim-negative_one.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/15-basic-resolver"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/22-sim-basic_chains_array.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/24-live-arg_allow.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/53-sim-binary_tree.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/26-sim-arch_all_be_basic.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/19-sim-missing_syscalls.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/39-basic-api_level.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/50-sim-hash_collision.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/31-basic-version_check.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/37-sim-ipc_syscalls_be"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/35-sim-negative_one"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/03-sim-basic_chains.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/07-sim-db_bug_looping"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/11-basic-basic_errors.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/03-sim-basic_chains.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/06-sim-actions.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/27-sim-bpf_blk_state.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/34-sim-basic_denylist.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/41-sim-syscall_priority_arch.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/42-sim-adv_chains"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/54-live-binary_tree.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/50-sim-hash_collision"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/05-sim-long_jumps.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/36-sim-ipc_syscalls.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/29-sim-pseudo_syscall.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/45-sim-chain_code_coverage"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/05-sim-long_jumps.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/13-basic-attrs"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/01-sim-allow.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/regression"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/14-sim-reset"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/44-live-a2_order.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/util.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/42-sim-adv_chains.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/46-sim-kill_process.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/36-sim-ipc_syscalls.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/51-live-user_notification.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/25-sim-multilevel_chains_adv.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/58-live-tsync_notify.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/04-sim-multilevel_chains.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/15-basic-resolver.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/58-live-tsync_notify"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/43-sim-a2_order.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/38-basic-pfc_coverage.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/12-sim-basic_masked_ops.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/31-basic-version_check.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/02-sim-basic.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/10-sim-syscall_priority_post"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/11-basic-basic_errors.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/13-basic-attrs.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/10-sim-syscall_priority_post.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/44-live-a2_order"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/25-sim-multilevel_chains_adv.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/46-sim-kill_process.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/30-sim-socket_syscalls"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/51-live-user_notification.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/28-sim-arch_x86.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/08-sim-subtree_checks.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/48-sim-32b_args.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/38-basic-pfc_coverage.sh"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/40-sim-log"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/27-sim-bpf_blk_state.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/45-sim-chain_code_coverage.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/39-basic-api_level"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/32-live-tsync_allow.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/22-sim-basic_chains_array"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/16-sim-arch_basic"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/33-sim-socket_syscalls_be.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/40-sim-log.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/39-basic-api_level.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/32-live-tsync_allow.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/miniseq"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/48-sim-32b_args"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/57-basic-rawsysrc.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/26-sim-arch_all_be_basic"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/53-sim-binary_tree.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/28-sim-arch_x86"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/16-sim-arch_basic.py"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/11-basic-basic_errors"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tests/04-sim-multilevel_chains.tests"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tools/scmp_arch_detect"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tools/scmp_sys_resolver"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tools/scmp_bpf_disasm"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tools/scmp_app_inspector"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tools/check-syntax"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tools/scmp_api_level"
%attr(744,root,root) "/usr/lib/libseccomp/ptest/tools/scmp_bpf_sim"

%files -n libseccomp-staticdev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(644,root,root) "/usr/lib/libseccomp.a"

%files -n libseccomp-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(644,root,root) "/usr/include/seccomp.h"
%attr(644,root,root) "/usr/include/seccomp-syscalls.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libseccomp.so"
%attr(644,root,root) "/usr/lib/pkgconfig/libseccomp.pc"

%files -n libseccomp-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/man/man3"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man3/seccomp_arch_native.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_notify_id_valid.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_syscall_resolve_name.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_load.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_syscall_resolve_num_arch.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_notify_free.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_merge.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_release.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_rule_add_array.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_notify_receive.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_api_set.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_syscall_resolve_name_rewrite.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_init.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_arch_add.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_attr_get.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_api_get.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_rule_add_exact_array.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_rule_add.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_syscall_priority.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_reset.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_export_bpf.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_syscall_resolve_name_arch.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_version.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_notify_fd.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_arch_exist.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_arch_remove.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_export_pfc.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_notify_respond.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_rule_add_exact.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_arch_resolve_name.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_notify_alloc.3"
%attr(644,root,root) "/usr/share/man/man3/seccomp_attr_set.3"
%attr(644,root,root) "/usr/share/man/man1/scmp_sys_resolver.1"

%%prep
echo "include logs and patches, Please check them in SOURCES"

